include::../description.adoc[]

include::../noncompliant.adoc[]

include::../compliant.adoc[]

== Exceptions

This rule ignores:

* variable declarations initializers
* prefix and postfix increments and decrements ``x{plus}{plus};``
* null pointer assignments ``++x = NULL;++``
* self assignments (i.e. ``++x = x;++``)

include::../see.adoc[]

ifdef::env-github,rspecator-view[]
'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]
endif::env-github,rspecator-view[]
